## tortoize 2.0.0

=== debian/changelog ===
tortoize (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #975691)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 25 Nov 2020 09:16:07 +0100
