=== debian/control ===
Source: tortoize
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-date-time-dev,
               libcifpp-dev,
               libzeep-dev,
               mrc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/PDB-REDO/tortoize
Vcs-Browser: https://salsa.debian.org/debian/tortoize
Vcs-Git: https://salsa.debian.org/debian/tortoize.git

Package: tortoize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5
Description: Application to calculate ramachandran z-scores
 Tortoize validates protein structure models by checking the
 Ramachandran plot and side-chain rotamer distributions. Quality
 Z-scores are given at the residue level and at the model level
 (ramachandran-z and torsions-z). Higher scores are better. To compare
 models or to describe the reliability of the model Z-scores jackknife-
 based standard deviations are also reported (ramachandran-jackknife-sd
 and torsion-jackknife-sd).
