## tortoize 2.0.1

=== debian/changelog ===
tortoize (2.0.1-3build1) jammy; urgency=medium

  * No-change rebuild against libzeep5.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 21:02:16 +0000

tortoize (2.0.1-3) unstable; urgency=medium

  * Update libzeep dependency

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 02 Nov 2021 13:38:37 +0100

tortoize (2.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * Use SOURCE_DATE_EPOCH for date string
    Closes: #977431

 -- Andreas Tille <tille@debian.org>  Tue, 15 Dec 2020 18:43:27 +0100

tortoize (2.0.1-1) unstable; urgency=medium

  [ Maarten L. Hekkelman ]
  * Fix VCS-Browser

  [ Andreas Tille ]
  * Fix citations
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 07 Dec 2020 17:52:56 +0100
