=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tortoize
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Section: science
 Priority: optional
@@ -11,15 +12,15 @@
                libcifpp-dev,
                libzeep-dev,
                mrc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/PDB-REDO/tortoize
-Vcs-Browser: https://salsa.debian.org/debian/tortoize
-Vcs-Git: https://salsa.debian.org/debian/tortoize.git
+Vcs-Browser: https://salsa.debian.org/med-team/tortoize
+Vcs-Git: https://salsa.debian.org/med-team/tortoize.git
 
 Package: tortoize
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5.1
 Description: Application to calculate ramachandran z-scores
  Tortoize validates protein structure models by checking the
  Ramachandran plot and side-chain rotamer distributions. Quality
