## tortoize 2.0.4

=== debian/changelog ===
tortoize (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 08 Nov 2021 11:28:27 +0100
