=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tortoize
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Section: science
 Priority: optional
@@ -10,6 +9,9 @@
                libboost-system-dev,
                libboost-date-time-dev,
                libcifpp-dev,
+               zlib1g-dev,
+               libbz2-dev,
+               cmake,
                libzeep-dev,
                mrc
 Standards-Version: 4.5.1
