=== debian/changelog ===
tortoize (2.0.5-2) unstable; urgency=medium

  * Fix dependency, Closes: #1005040

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sun, 06 Feb 2022 08:01:13 +0100

tortoize (2.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 05 Feb 2022 07:41:14 +0100
