=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: tortoize
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libzeep5.1
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Application to calculate ramachandran z-scores
  Tortoize validates protein structure models by checking the
  Ramachandran plot and side-chain rotamer distributions. Quality
