## tortoize 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 # set the project name
-project(tortoize VERSION 2.0.5 LANGUAGES CXX)
+project(tortoize VERSION 2.0.10 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -47,7 +47,7 @@
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers")
 elseif(MSVC)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
 endif()
 
 if(NOT "$ENV{CCP4}" STREQUAL "")
@@ -55,17 +55,18 @@
 	set(CCP4 $ENV{CCP4})
 	list(PREPEND CMAKE_MODULE_PATH "${CCP4}/Lib")
 	list(APPEND CMAKE_PREFIX_PATH ${CCP4})
+
 	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 		set(CMAKE_PREFIX_PATH ${CCP4})
 	endif()
 endif()
 
 if(MSVC)
-    # make msvc standards compliant...
-    add_compile_options(/permissive-)
+	# make msvc standards compliant...
+	add_compile_options(/permissive-)
 
 	macro(get_WIN32_WINNT version)
-		if (WIN32 AND CMAKE_SYSTEM_VERSION)
+		if(WIN32 AND CMAKE_SYSTEM_VERSION)
 			set(ver ${CMAKE_SYSTEM_VERSION})
 			string(REPLACE "." "" ver ${ver})
 			string(REGEX REPLACE "([0-9])" "0\\1" ver ${ver})
@@ -76,25 +77,11 @@
 
 	get_WIN32_WINNT(ver)
 	add_definitions(-D_WIN32_WINNT=${ver})
-
-	# On Windows, do not install in the system location
-	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND NOT BUILD_FOR_CCP4)
-		message(STATUS "The library and auxiliary files will be installed in $ENV{LOCALAPPDATA}/${PROJECT_NAME}")
-		set(CMAKE_INSTALL_PREFIX "$ENV{LOCALAPPDATA}/${PROJECT_NAME}" CACHE PATH "..." FORCE)
-	endif()
-endif()
-
-if(UNIX AND NOT APPLE)
-	# On Linux, install in the $HOME/.local folder by default
-	if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-		message(WARNING "The library and auxiliary files will be installed in $ENV{HOME}/.local")
-		set(CMAKE_INSTALL_PREFIX "$ENV{HOME}/.local" CACHE PATH "..." FORCE)
-	endif()
 endif()
 
 # Create a revision file, containing the current git version info, if any
 include(VersionString)
-write_version_header()
+write_version_header(${PROJECT_SOURCE_DIR}/src)
 
 # Optionally use mrc to create resources
 find_package(Mrc)
@@ -110,41 +97,86 @@
 	add_compile_definitions(USE_RSRC)
 endif()
 
+# Optionally build a webservice
+option(BUILD_WEBSERVICE "Build a version with a webservice daemon" OFF)
+
 # libraries
-
 set(CMAKE_THREAD_PREFER_PTHREAD)
 set(THREADS_PREFER_PTHREAD_FLAG)
 find_package(Threads)
 
-find_package(cifpp 2.0.0 REQUIRED)
-find_package(zeep 5.1.4 REQUIRED)
-
-find_package(Boost COMPONENTS program_options REQUIRED)
+if(NOT PDB_REDO_META)
+	find_package(libmcfp REQUIRED)
+	find_package(dssp REQUIRED)
+	find_package(zeep 5.1.8 REQUIRED)
+endif()
 
 add_executable(tortoize
 	${PROJECT_SOURCE_DIR}/src/tortoize.cpp
+	${PROJECT_SOURCE_DIR}/src/tortoize-main.cpp
 	${TORTOIZE_RESOURCE})
 
-if(USE_RSRC)
-	mrc_target_resources(tortoize ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin ${CIFPP_SHARE_DIR}/mmcif_pdbx_v50.dic)
+if(BUILD_WEBSERVICE)
+	target_compile_definitions(tortoize PRIVATE WEBSERVICE)
 endif()
 
-target_include_directories(tortoize PRIVATE cifpp::cifpp ${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR})
-target_link_libraries(tortoize cifpp::cifpp zeep::zeep std::filesystem Boost::program_options)
+if(USE_RSRC)
+	list(APPEND RESOURCES
+		${PROJECT_SOURCE_DIR}/rsrc/rama-data.bin
+		${PROJECT_SOURCE_DIR}/rsrc/torsion-data.bin
+		${CIFPP_SHARE_DIR}/mmcif_pdbx.dic
+		${CIFPP_SHARE_DIR}/mmcif_ddl.dic
+		${CIFPP_SHARE_DIR}/mmcif_ma.dic)
+
+	if(BUILD_WEBSERVICE)
+		list(APPEND RESOURCES ${PROJECT_SOURCE_DIR}/docroot/)
+	endif()
+
+	mrc_target_resources(tortoize ${RESOURCES})
+endif()
+
+target_include_directories(tortoize PRIVATE ${PROJECT_BINARY_DIR})
+
+if(PDB_REDO_META)
+	target_include_directories(tortoize PRIVATE ${CMAKE_PROJECT_DIR}/dssp/include)
+endif()
+
+target_link_libraries(tortoize
+	cifpp::cifpp
+	dssp::dssp
+	zeep::zeep
+	std::filesystem
+	libmcfp::libmcfp)
 
 install(TARGETS ${PROJECT_NAME}
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
 )
 
 if(NOT USE_RSRC)
-	install(FILES ${CMAKE_SOURCE_DIR}/rsrc/rama-data.bin ${CMAKE_SOURCE_DIR}/rsrc/torsion-data.bin
+	install(FILES ${PROJECT_SOURCE_DIR}/rsrc/rama-data.bin ${PROJECT_SOURCE_DIR}/rsrc/torsion-data.bin
 		DESTINATION ${CIFPP_SHARE_DIR})
 endif()
 
-# # manual
+# manual
+install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
-# install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)
+# Test code
+if(ENABLE_TESTING)
+	add_executable(tortoize-unit-test
+		${PROJECT_SOURCE_DIR}/test/tortoize-unit-test.cpp
+		${PROJECT_SOURCE_DIR}/src/tortoize.cpp)
 
-# manual
+	target_include_directories(tortoize-unit-test PRIVATE ${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR})
 
-install(FILES doc/tortoize.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+	target_link_libraries(tortoize-unit-test
+		cifpp::cifpp
+		dssp::dssp
+		zeep::zeep
+		std::filesystem)
+
+	add_test(NAME tortoize-unit-test COMMAND $<TARGET_FILE:tortoize-unit-test> -- ${PROJECT_SOURCE_DIR}/test)
+
+	if(USE_RSRC)
+		mrc_target_resources(tortoize-unit-test ${RESOURCES})
+	endif()
+endif()
