=== debian/changelog ===
tortoize (2.0.10-1) unstable; urgency=medium

  * New upstream release. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 02 Jan 2023 10:02:57 +0100
