=== debian/changelog ===
tortoize (2.0.11-1) unstable; urgency=medium

  * New upstream. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Feb 2023 10:52:52 +0100
