=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libboost-iostreams-dev,
-               libboost-program-options-dev,
-               libboost-system-dev,
-               libboost-date-time-dev,
                libcifpp-dev,
                zlib1g-dev,
-               libbz2-dev,
+               libmcfp-dev,
+               libboost-dev,
+               libboost-regex-dev,
                cmake,
                libzeep-dev,
                mrc
