=== debian/changelog ===
tortoize (2.0.13-1) unstable; urgency=medium

  * New upstream.
  * Fix ftbfs, Closes: #1045986

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 17 Oct 2024 17:57:49 +0200
