=== debian/changelog ===
tortoize (2.0.15-1) unstable; urgency=medium

  * New upstream version 2.0.15

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 02 Apr 2025 13:15:19 +0200
