=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                libcifpp-dev,
                zlib1g-dev,
                libmcfp-dev,
-               libboost-dev,
                libboost-regex-dev,
+               libcatch2-dev,
                cmake,
-               libzeep-dev,
+               nlohmann-json3-dev,
                mrc
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
