=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tortoize-$1\.tar\.gz/ \
  https://github.com/PDB-REDO/tortoize/tags .*/v?(\d\S+)\.tar\.gz
