=== debian/changelog ===
tortoize (2.0.16-1) unstable; urgency=medium

  * New upstream version 2.0.16

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 20 Nov 2025 12:46:20 +0100
