=== debian/control ===
--- 
+++ 
@@ -4,10 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libcifpp-dev,
-               zlib1g-dev,
+               libcifpp-dev (>= 9),
                libmcfp-dev,
-               libboost-regex-dev,
                libcatch2-dev,
                cmake,
                nlohmann-json3-dev,
